#include<stdio.h>
#include<stdlib.h>
#include <xdc/runtime/System.h>
#include "bmp.h"

Int bmpmain()
{
	    bmpfile_header_t  bf; //BMP文件头结构体
	    bmpfile_dib_header_t bi; //BMP信息头结构体
	   FILE* fp;            //文件指针
		//long linebytes = 0;
		unsigned char * * imgdata =NULL; //24位色图像数据指针
		long i;
		//char filename[256];        //图像文件名
		//int options = 0;
		//mybool_t still = YES;

		//fflush( stdin);
		fp = fopen("1.bmp","rb");
		if(fp == NULL)
			{
			System_printf("打开文件 1.bmp失败!\n");
				exit(0);
			}
		imgdata =read_bmp("1.bmp",&bf,&bi,imgdata);
		to_gray( &bf,&bi,imgdata);
//释放空间
		if(imgdata != NULL)
			{
				for ( i=0; i < bi.image_height; i++)
				{
					if(imgdata[i] != NULL)
					{
						free( imgdata[i]);
						imgdata[i] = NULL;
					}
				}
				free(imgdata);
				imgdata = NULL;
			}
return 0;
	}
